Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.matching
Class CandidateThresholdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.matching.CandidateThresholdException

All Implemented Interfaces:
  java.io.Serializable

public class CandidateThresholdException
extends java.lang.Exception

The CandidateThresholdException class represents an exception thrown when the specified candidate threshold is exceeded during a blocking query.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`CandidateThresholdException()` Creates a new instance of the CandidateThresholdException class without an error message.
`CandidateThresholdException(java.lang.String msg)` Creates a new instance of the CandidateThresholdException class with an error message.
`CandidateThresholdException(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of the CandidateThresholdException class with an error message and a chain of errors.
`CandidateThresholdException(java.lang.Throwable cause)` Creates a new instance of the CandidateThresholdException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CandidateThresholdException

    public CandidateThresholdException()

  Creates a new instance of the CandidateThresholdException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### CandidateThresholdException

    public CandidateThresholdException(java.lang.String msg)

  Creates a new instance of the CandidateThresholdException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### CandidateThresholdException

    public CandidateThresholdException(java.lang.String msg,
                                       java.lang.Throwable cause)

  Creates a new instance of the CandidateThresholdException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `cause` - The chain of errors that caused the exception.
  Throws:
    None.

### CandidateThresholdException

    public CandidateThresholdException(java.lang.Throwable cause)

  Creates a new instance of the CandidateThresholdException class without an error message but with a chain of errors.

  Parameters:
    `cause` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.